Extending Qt Creator Manual | StackFrame

Extending Qt Creator Manual 4.7.1

# StackFrame Class

(Debugger::Debugger::Internal::StackFrame)

- List of all members, including inherited members

## Public Functions

| StackFrame()
void | clear()
void | fixQrcFrame(const Debugger::Debugger::Internal::DebuggerRunParameters &rp)
bool | isUsable() const
int | toString() const
int | toToolTip() const

## Static Public Members

Debugger::Debugger::Internal::StackFrame | parseFrame(const Debugger::Debugger::Internal::GdbMi &data, const Debugger::Debugger::Internal::DebuggerRunParameters &rp)
int | parseFrames(const Debugger::Debugger::Internal::GdbMi &, const Debugger::Debugger::Internal::DebuggerRunParameters &)

## Member Function Documentation

### StackFrame::StackFrame()

Default constructs an instance of StackFrame.

### void StackFrame::clear()

### void StackFrame::fixQrcFrame(const Debugger::Debugger::Internal::DebuggerRunParameters &rp)

### bool StackFrame::isUsable() const

### `[static]` Debugger::Debugger::Internal::StackFrame StackFrame::parseFrame(const Debugger::Debugger::Internal::GdbMi &data, const Debugger::Debugger::Internal::DebuggerRunParameters &rp)

### `[static]` int StackFrame::parseFrames(const Debugger::Debugger::Internal::GdbMi &, const Debugger::Debugger::Internal::DebuggerRunParameters &)

### int StackFrame::toString() const

### int StackFrame::toToolTip() const